> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/webhook-automations/customize-webhooks/pass-additional-data-through-webhooks.md).

# Pass additional data through webhooks

Pass **additional static data** for all webhooks Ecwid sends to your application through **custom headers**.&#x20;

For example, custom headers can work as application identifiers if you receive webhooks from several applications to one endpoint. Or they can work as an additional validation layer.

{% hint style="warning" %}
Do not pass additional data through the webhook URL. Use **custom headers** instead.
{% endhint %}

### Structure and restrictions of custom headers

Custom webhook headers consist of a name and value, for example:

```yaml
My-Custom-Validation-Key: abc123def456ghi789
```

Names and values for such headers are always static. Custom headers **cannot work as variables** to provide additional entity data like order total for the 'order.created' event.

<details>

<summary>Webhook example with a custom header</summary>

```http
PUT /webhook-receiver HTTP/1.1
Host: backend.example.com
Content-Type: application/json
Content-Length: 261
X-Ecwid-Webhook-Signature: MeV28XtFal4HCkYvdilwckJinc6Dtp4ZWpPhmjdjn2= // Ecwid validation header
My-Custom-Validation-Key: abcde12345  // Custom header

{
  "eventId":"80aece08-40e8-4145-8764-6c2f0d38678",
  "eventCreated":1234567,
  "storeId":1003,
  "entityId":103878161, 
  "eventType":"order.created",
  "data":{
    "orderId":"XJ12H", 
    "newPaymentStatus":"PAID",
    "newFulfillmentStatus":"SHIPPED"
  }
}
```

</details>

### Add custom webhook headers to your app

[Contact API Support team](/contact-ecwid-api-support-team.md) to set up custom headers for your application. The request must include:

* Your application name or `client_id`.
* Name and value for the custom webhook header.&#x20;

We'll update the app for you as soon as possible. Changes will be applied immediately after the update.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/webhook-automations/customize-webhooks/pass-additional-data-through-webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
